<?php
/**
* @version      1.5.0 12.06.2020
* @author       Sergey Tolkachyov
* @copyright    Copyright (C) 2019 Sergey Tolkachyov. All rights reserved.
* @license      GNU/GPL
*/
use Joomla\CMS\Factory;

$version = "1.6.0";
$version_date = "02.05.2022"; 
$db = Factory::getDbo();

$db->setQuery("SELECT id FROM `#__jshopping_shipping_ext_calc` WHERE alias = 'sm_pochta_ru'");
$result = $db->execute();

if(count($result) > 1){
	Factory::getApplication()->enqueueMessage('<h4>У Вас установлено ".count($result)." копии(ий) расширения для расчета стоимости доставки Почтой России. Пожалуйста, удалите предыдущие версии дабы избежать конфликта версий.</h4><h3>Обновление НЕ завершено.</h3>','error');

} else {
	if(!empty($result)){
		$db->setQuery("UPDATE `#__jshopping_shipping_ext_calc` SET `description`='Рассчет стоимости доставки с помощью Тарификатора Почты России (API) ".$version."' WHERE alias = 'sm_pochta_ru'");
		$db->execute();
			Factory::getApplication()->enqueueMessage("<h3>Расчет доставки с помощью Тарификатора Почты России</h3>
			<p><a href=\"https://tariff.pochta.ru/\">Тарификатор</a> - сервис расчета стоимости доставки Почты России (для физ.лиц). В нем представлены почти все тарифы и дополнительные услуги.</p>
			<p>Аддон развивается за счет пожертвований. Вы можете <a href=\"https://web-tolk.ru/donate.html\" style=\"font-weight:600; color:#b72035!important;\" target=\"_blank\">поддержать дальнейшее развитие</a> расширения</p><p><span class=\"badge bg-dark\">Версия</span><span class=\"badge badge-success bg-success\">".$version."</span> | <span class=\"badge bg-dark\">Дата</span><span class=\"badge badge-success bg-success\">".$version_date."</span> | <a class='alert-link' href=\"https://web-tolk.ru/dev/joomshopping/joomshopping-russian-post-shipping-method-api.html\" target=\"_blank\">Описание на сайте разработчика</a> | <a class='alert-link' href=\"https://github.com/sergeytolkachyov/JoomShopping-Russian-Post-Shipping-method-via-API\" target=\"_blank\">GitHub</a> | <a class='alert-link' href=\"https://web-tolk.ru/dev/joomshopping/joomshopping-russian-post-shipping-method-api/versions.html\" target=\"_blank\">Версии</a> |</p>","notice");
			Factory::getApplication()->enqueueMessage("<h4>Для JoomShopping существует платная интеграция с Почтой России для бизнеса - WT SM Otpravka.pochta.ru</h4>
			<p>Расширение для расчета стоимости доставки и интеграции интернет-магазина Joomla JoomShopping с личным кабинетом сервиса Отправка Почты России для бизнеса. Расчет стоимости происходит по тарифам согласно Вашему договору с Почтой России.</p>
			<p><a href=\"https://web-tolk.ru/dev/joomshopping/wt-sm-otpravka-pochta-ru.html\" class=\"btn btn-small btn-primary\" target=\"_blank\">ПОДРОБНЕЕ</a></p>


			<ul>
			<li>В настройках Joomla JoomShopping показываются только те отделения почтовой связи и только те тарифы, которые описаны в Вашем договоре и доступны в Вашем личном кабинете. Ничего лишнего.</li>
			<li>Расчет стоимости доставки по актуальным тарифам Почты России для бизнеса.</li>
			<li>Отображение сроков доставки</li>
			<li>Отображение дополнительной информации о способе доставки (SMS-уведомления, размер НДС и т.д.)</li>
			<li>Неограниченное количество способов доставки Joomla JoomShopping с помощью Почты России</li>
			<li>Возможность наценки как на отдельный способ доставки, так и не все способы доставки сразу.</li>
			<li>Возможность указания коэффициента поправки веса как для отдельного способа доставки. так и на все сразу. В этот коэффициент закладывается вес упаковки.</li>
			<li>Интеграция с Личным кабинетом Почты России для бизнеса. Отправка данных заказа.</li>
			<li>Получение трек-номера и показ его покупателю на странице завершения заказа JoomShopping.</li>
			<li>Отображение отладочной информации на этапе расчета стоимости доставки.</li>
			<li>Возможность отключить показ способа доставки в случае возникновения ошибок.</li>
			</ul>


			", 'warning');

	
	} else {

	$defaults = addslashes('a:7:{s:10:"index_from";s:6:"410000";s:9:"price_tax";s:0:"";s:13:"weight_factor";s:0:"";s:14:"general_factor";s:0:"";s:3:"nds";s:1:"0";s:14:"weight_measure";s:1:"1";s:5:"debug";s:1:"0";}');
	$db->setQuery("INSERT INTO `#__jshopping_shipping_ext_calc` (`name`, `alias`, `description`, `params`, `shipping_method`, `published`, `ordering`) 
VALUES
('Pochta.ru', 'sm_pochta_ru', '	Рассчет стоимости доставки с помощью Тарификатора Почты России (API) ".$version."', '".$defaults."', '', 1, 1)");
$db->execute();
Factory::getApplication()->enqueueMessage("<h3>Расчет доставки с помощью Тарификатора Почты России</h3>
<p><a href=\"https://tariff.pochta.ru/\">Тарификатор</a> - сервис расчета стоимости доставки Почты России (для физ.лиц). В нем представлены почти все тарифы и дополнительные услуги.</p>
<p>Аддон развивается за счет пожертвований. Вы можете <a href=\"https://web-tolk.ru/donate.html\" style=\"font-weight:600; color:#b72035!important;\" target=\"_blank\">поддержать дальнейшее развитие</a> расширения</p><p><span class=\"label\">Версия</span><span class=\"label label-success\">".$version."</span> | <span class=\"label\">Дата</span><span class=\"label label-success\">".$version_date."</span> | <a class='alert-link' href=\"https://web-tolk.ru/dev/joomshopping/joomshopping-russian-post-shipping-method-api.html\" target=\"_blank\">Описание на сайте разработчика</a> | <a class='alert-link' href=\"https://github.com/sergeytolkachyov/JoomShopping-Russian-Post-Shipping-method-via-API\" target=\"_blank\">GitHub</a> | <a class='alert-link' href=\"https://web-tolk.ru/dev/joomshopping/joomshopping-russian-post-shipping-method-api/versions.html\" target=\"_blank\">Версии</a> |</p>","notice");
	
	Factory::getApplication()->enqueueMessage("<h4>Для JoomShopping существует платная интеграция с Почтой России для бизнеса - WT SM Otpravka.pochta.ru</h4>
			<p>Расширение для расчета стоимости доставки и интеграции интернет-магазина Joomla JoomShopping с личным кабинетом сервиса Отправка Почты России для бизнеса. Расчет стоимости происходит по тарифам согласно Вашему договору с Почтой России.</p>
			<p><a href=\"https://web-tolk.ru/dev/joomshopping/wt-sm-otpravka-pochta-ru.html\" class=\"btn btn-small btn-primary\" target=\"_blank\">ПОДРОБНЕЕ</a></p>


			<ul>
			<li>В настройках Joomla JoomShopping показываются только те отделения почтовой связи и только те тарифы, которые описаны в Вашем договоре и доступны в Вашем личном кабинете. Ничего лишнего.</li>
			<li>Расчет стоимости доставки по актуальным тарифам Почты России для бизнеса.</li>
			<li>Отображение сроков доставки</li>
			<li>Отображение дополнительной информации о способе доставки (SMS-уведомления, размер НДС и т.д.)</li>
			<li>Неограниченное количество способов доставки Joomla JoomShopping с помощью Почты России</li>
			<li>Возможность наценки как на отдельный способ доставки, так и не все способы доставки сразу.</li>
			<li>Возможность указания коэффициента поправки веса как для отдельного способа доставки. так и на все сразу. В этот коэффициент закладывается вес упаковки.</li>
			<li>Интеграция с Личным кабинетом Почты России для бизнеса. Отправка данных заказа.</li>
			<li>Получение трек-номера и показ его покупателю на странице завершения заказа JoomShopping.</li>
			<li>Отображение отладочной информации на этапе расчета стоимости доставки.</li>
			<li>Возможность отключить показ способа доставки в случае возникновения ошибок.</li>
			</ul>


			", 'warning');
	
	}
	
	
}


?>